### Property

# Adw NavigationSplitView:sidebar-position

since: 1.7

#### Declaration

    property sidebar-position: Gtk.PackType [ read, write ]

#### Description [src]

The sidebar position.

If set to `GTK_PACK_START`, the sidebar is displayed before the content, and the sidebar will be the root page when collapsed.

If set to `GTK_PACK_END`, the sidebar is displayed after the content, and the content will be the root page.

Type:`GtkPackType`

Available since: 1.7

Default value | GTK_PACK_START
Getter method | `adw_navigation_split_view_get_sidebar_position()`
Setter method | `adw_navigation_split_view_set_sidebar_position()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no